Error message when activating plugin

Hi,

When I activate the Pop Up Pro plugin I get the following error message

"Warning: Invalid argument supplied for foreach() in /home/diamondsecret/public_html/wp-content/plugins/popover/inc/class-popup-public.php on line 190"

Is there any way to remedy this?

Many thanks,

Allan

  • Sajid
    • DEV MAN’s Sidekick

    Hi @Allan

    Hope you are doing good today :slight_smile:

    Add following define in wp-config.php file. Download and open the file with code editor like sublime/notpad++ or Dreamweaver.

    Find:
    define('WP_DEBUG', true);

    Replace it with this code:
    define('WP_DEBUG', false);

    Warnings and notices are for developers only and should not be enabled on production sites.

    Take care and have a nice day :slight_smile:

    Cheers, Sajid

  • Sajid
    • DEV MAN’s Sidekick

    Hi @allan

    Hope you are doing good today :slight_smile:

    Please try adding below code instead and let me know if its still not working.

    // Enable WP_DEBUG mode
    define('WP_DEBUG', false);
    // Disable display of errors and warnings
    define('WP_DEBUG_DISPLAY', false);
    @ini_set('display_errors',0);

    Hope it helps :slight_smile:

    Cheers, Sajid

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.